> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payingame.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Tokens

Get the tokens that a user has. The total amount as well as the details will be shown. It will contain the tokens onchain, allowance and db tokens.


## OpenAPI

````yaml GET /Tokens/{YourAPIKEY}/{ProjectGuid}/{CustomerID}
openapi: 3.1.0
info:
  title: PayInGame Public API
  description: >-
    REST API for accessing games, products, prices, languages, receipts, and
    payments.
  version: 1.0.0
servers:
  - url: https://intern.payingame.io/rest/PayIngame/PublicAPI
security: []
paths:
  /Tokens/{YourAPIKEY}/{ProjectGuid}/{CustomerID}:
    get:
      summary: >-
        Get the tokens for a customerID. These can be onchain tokens, allowances
        or db tokens
      parameters:
        - name: YourAPIKEY
          in: path
          required: true
          schema:
            type: string
        - name: ProjectGuid
          in: path
          required: true
          schema:
            type: string
        - name: CustomerID
          in: path
          required: true
          description: Your unique customer id that is identified in your game.
          schema:
            type: string
      responses:
        '200':
          description: List of tokens that a user has.
          content:
            application/json:
              schema:
                type: object
                properties:
                  isError:
                    type: string
                    example: '0'
                  Error:
                    type: string
                    example: ''
                  Data:
                    type: object
                    properties:
                      Tokens:
                        type: array
                        items:
                          type: object
                          properties:
                            Symbol:
                              type: string
                              example: BOLT
                            Guid:
                              type: string
                              format: uuid
                              example: XXXXX-XXXX-XXXX-XXXX-XXXXX
                            Name:
                              type: string
                              example: BOLTS
                            Image:
                              type: string
                              example: https://...
                            Total:
                              type: float
                              example: '22.5'
                            Details:
                              type: array
                              items:
                                type: object
                                properties:
                                  ContractGuid:
                                    type: string
                                    format: uuid
                                    example: XXXXX-XXXX-XXXX-XXXX-XXXXX
                                  ChainName:
                                    type: string
                                    example: Ethereum
                                  Amount:
                                    type: float
                                    example: '22.5'
                                  IsAllowance:
                                    type: boolean
                                    example: 'false'
                                  Wallet:
                                    type: string
                                    example: 0X...
                example:
                  isError: '0'
                  Error: ''
                  Data:
                    Tokens:
                      - Total: 80.62
                        TokenSymbol: BOLT
                        Guid: 5E5B9042-FA98-CBBE-9C92-E42F13FD8EBE
                        Name: Bolts
                        Image: https://...
                        Details:
                          - Wallet: '0x2FEA74160714A5Cbc556A24fAe5cCa5F29a05000'
                            Amount: '80.62'
                            ChainName: Ethereum
                            ContractGuid: '0x24BD97449b970421F2597071697FfC782F93d0AA'
                            IsAllowance: false

````